import { TextSpan } from './TextSpan';
/**
 * Juracus SmartSearchResult for a specific SmartSearchTask.
 *
 * @author Sven Wensing
 */
export declare class SmartSearchResult {
    readonly id: string;
    readonly identifier: string;
    readonly span: TextSpan;
    readonly text: string;
    /**
     * Constructs a new {@link AnalysisResults} object containing the analysis results for the specified criterion.
     *
     * @param pId - UUID of the {@link Criterion} the result belongs to.
     * @param clauses     - {@link Array} of analyzed texts. Defaults to an empty {@link Array} if {@code null}.
     * @param foundFlag   - {@link Boolean} specifying whether or not at least one as relevant classified clause was found.
     * @param metadata    - {@link Map} for additional metadata. Defaults to an empty {@link Map} if {@code null}.
     */
    constructor(id: string, identifier: string, span: TextSpan, text: string);
}
